CREATE TABLE bm_config_table_spare_action (
    ID                              NUMBER(18, 0) ,
    RULE_ID                         NUMBER(18, 0)     NOT NULL,
    SPARE_MAPPED_COL_ID             NUMBER(18, 0)     NOT NULL,
    QUANTITY_TYPE                   NUMBER(1, 0)      NOT NULL,
    QUANTITY                        NUMBER(5, 0)  ,
    QUANTITY_MAPPED_COL_ID          NUMBER(18, 0) ,
    QUANTITY_MAPPED_ATTRIBUTE_ID    NUMBER(18, 0) ,
    MESSAGE_TYPE                    NUMBER(1, 0)      NOT NULL,
    MESSAGE                         VARCHAR2(4000),
    MESSAGE_MAPPED_COL_ID           NUMBER(18, 0) ,
    MESSAGE_MAPPED_ATTRIBUTE_ID     NUMBER(18, 0) ,
    PRICE_TYPE                      NUMBER(1, 0)      NOT NULL,
    PRICE                           VARCHAR2(2048),
    PRICE_MAPPED_COL_ID             NUMBER(18, 0) ,
    PRICE_MAPPED_ATTRIBUTE_ID       NUMBER(18, 0) ,
    ROW_INDEX                       NUMBER(5, 0)      NOT NULL,
    DATE_ADDED                      DATE              NOT NULL,
    DATE_MODIFIED                   DATE          ,
    GUID                            VARCHAR2(1020)    NOT NULL,
    SPLIT_ITEM                      NUMBER(1, 0)  ,
    ID                              NUMBER(18, 0) ,
    RULE_ID                         NUMBER(18, 0)     NOT NULL,
    SPARE_MAPPED_COL_ID             NUMBER(18, 0)     NOT NULL,
    QUANTITY_TYPE                   NUMBER(1, 0)      NOT NULL,
    QUANTITY                        NUMBER(5, 0)  ,
    QUANTITY_MAPPED_COL_ID          NUMBER(18, 0) ,
    QUANTITY_MAPPED_ATTRIBUTE_ID    NUMBER(18, 0) ,
    MESSAGE_TYPE                    NUMBER(1, 0)      NOT NULL,
    MESSAGE                         VARCHAR2(4000),
    MESSAGE_MAPPED_COL_ID           NUMBER(18, 0) ,
    MESSAGE_MAPPED_ATTRIBUTE_ID     NUMBER(18, 0) ,
    PRICE_TYPE                      NUMBER(1, 0)      NOT NULL,
    PRICE                           VARCHAR2(2048),
    PRICE_MAPPED_COL_ID             NUMBER(18, 0) ,
    PRICE_MAPPED_ATTRIBUTE_ID       NUMBER(18, 0) ,
    ROW_INDEX                       NUMBER(5, 0)      NOT NULL,
    DATE_ADDED                      DATE              NOT NULL,
    DATE_MODIFIED                   DATE          ,
    GUID                            VARCHAR2(1020)    NOT NULL,
    SPLIT_ITEM                      NUMBER(1, 0)  ,
    CONSTRAINT pk_bm_config_table_spare_action PRIMARY KEY (ID, ID)
);
